Light Logo
Model categories

List model categories

Retrieve a paginated list of model categories.

GET
/model_categories
AuthorizationBearer <token>

In: header

Query Parameters

cursor?Cursor

The starting point to fetch the next set of items.

page_size?Page Size

The number of results per page.

Default25
Range5 <= value <= 50

Response Body

from wriftai import Clientwriftai = Client()categories = wriftai.model_categories.list()for category in categories.items:    print(category.name)
{
  "items": [
    {
      "name": "Text to Speech",
      "slug": "text-to-speech",
      "description": "Generate spoken audio from text."
    }
  ],
  "next_cursor": "eyJyZXZlcnNlIjpmYWxzZSwic3RhcnRfaWQiOiI0OTdmNmVjYS02Mjc2LTQ5OTMtYmZlYi01M2NiYmJiYTZmMDgiLCJzdGFydF9jcmVhdGVkX2F0IjoiMjAyNC0wNi0xMlQxNDoyMjozMVoifQ==",
  "previous_cursor": "eyJyZXZlcnNlIjpmYWxzZSwic3RhcnRfaWQiOiJmZmZmOTk5OS05OTk5LTk5OTktOTk5OS1mZmZmZmZmZmZmZmYiLCJzdGFydF9jcmVhdGVkX2F0IjoiMjAyNC0wNS0wMVQwOTowMDowMFoifQ=="
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}